Error NI-Farm Cannot Communicate With the Specified Server in LabVIEW

Updated Oct 5, 2020

Reported In

Hardware

  • cRIO-9030

Software

  • LabVIEW
  • LabVIEW FPGA Module

Operating System

  • Windows

Issue Details

Whenever I try to compile my FPGA using the cloud compile server I receive the message: 
NI-Farm: Cannot communicate with the specified server. NI-CURL (or one of its dependencies) failed to load
 
 

Solution

Note: Refer to the Installation Order for Multiple NI Software Products to ensure that there is no installation conflict. 

Additional Information

It has been observed that NI System Web Server and NI Application Web Server services aren't running and can't be started along with this error. Try starting these services in Windows Services, if they are unable to be started a reinstall of software is likely necessary.